Skip to content

List templates

Request

Returns a paginated list of templates for the specified organization.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

Query
UpdatedBeforestring, (date-time)

Filter templates updated before this date.

UpdatedAfterstring, (date-time)

Filter templates updated after this date.

Pageinteger, (int32)

The page number.

PageSizeinteger, (int32)

The number of items per page.

GET
/api/v1/organizations/{organizationId}/templates
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/templates?UpdatedBefore=2019-08-24T14%3A15%3A22Z&UpdatedAfter=2019-08-24T14%3A15%3A22Z&Page=0&PageSize=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
templatesArray of objects(TemplateSummary)required

The list of templates.

paginationobject(PaginationResponse)required

Pagination metadata.

Response
{ "templates": [ { … } ], "pagination": { "page": 1, "pageSize": 50, "totalCount": 1 } }